> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Function Version



## OpenAPI

````yaml get /v1/functions/versions/{id}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/functions/versions/{id}:
    get:
      summary: Get a Function Version
      operationId: FunctionVersions_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunctionVersion'
components:
  schemas:
    FunctionVersion:
      type: object
      properties:
        id:
          type: string
          format: uuid
        projectId:
          type: string
          format: uuid
        functionId:
          type: string
          format: uuid
        functionBuildId:
          type: string
          format: uuid
        sessionCreateParams:
          description: JSON object that can be stored in a JSONB column
          type: object
          additionalProperties: true
          properties: {}
        userParamsSchema:
          description: JSON object that can be stored in a JSONB column
          type: object
          additionalProperties: true
          properties: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - projectId
        - functionId
        - functionBuildId
        - createdAt
        - updatedAt
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````